Subject: IETF Last Call comments to draft-ietf-ippm-rate-problem

From: Gregory Mirsky <[email-masked]>
Date: Thu, 11 Dec 2014 06:43:42 +0000

Dear All,
please kindly consider following comments as part of the IETF Last Call:
*             Abstract.
Key test protocol aspects require the ability to control packet size on the tested path and enable asymmetrical packet size testing in a controller-responder architecture.
I believe that in IPPM WG meeting in Toronto the WG agreed that support of asymmetrical test packet rate is required and support of asymmetrical packet size is recommended. Thus I propose following text update:
Key test protocol aspects require the ability to control test packet characteristics on the tested path and enable asymmetrical test flow rates in controller-responder architecture.
*             Section 5. Test Protocol Control & Generation Requirements
As the IPPM WG agreed that asymmetric test packet flow may be created by variation of not just packet size but intra-pair spacing and/or inter-pair interval, requirement #4 is not generic but presents only one possible solution. I propose change requirement #4 to change from "asymmetric packet size" to "asymmetric packet flows in a two-way measurement architecture".
The next to the last paragraph suggests:
Implementations may support control and generation for only symmetric packet sizes when none of the above conditions hold.
I believe that this requirement (if it is a requirement, then s/may/MAY/ seems in order here) contradicts earlier explanation that mentions variation of intra-pair spacing and inter-pair interval as possible method to generate asymmetric flow of test packets. Thus a protocol that can control spacing and/or intervals would be suitable to any combination of 1, 3, 4 and 6. Proposed text:
Implementations MAY support control and generation of variable inter-pair intervals in each direction with symmetric packet sizes to support performance measurements of asymmetric data flows in two-way architecture.

Regards,
                Greg